Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JTabbedPaneOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JTabbedPaneOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JTabbedPaneOperator
extends JComponentOperator
implements Outputable

Timeouts used:
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JTabbedPaneOperator.JTabbedPaneByItemFinder` Allows to find component by page title.
`static class` | `JTabbedPaneOperator.JTabbedPaneFinder` Checks component type.
`class` | `JTabbedPaneOperator.NoSuchPageException` Exception is thrown if a nonexistent page is trying to be selected.
`static interface` | `JTabbedPaneOperator.TabPageChooser` Specifies criteria for a tab page searching.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `PAGE_PREFIX_DPROP` Identifier for a "page" properties.
`static java.lang.String` | `SELECTED_PAGE_DPROP` Identifier for a "selected page" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JTabbedPaneOperator(ContainerOperator cont)` Constructor.
`JTabbedPaneOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JTabbedPaneOperator object.
`JTabbedPaneOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JTabbedPaneOperator object.
`JTabbedPaneOperator(ContainerOperator cont, int index)` Constructor.
`JTabbedPaneOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JTabbedPaneOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JTabbedPaneOperator(ContainerOperator cont, java.lang.String text, int tabIndex, int index)` Constructor.
`JTabbedPaneOperator(javax.swing.JTabbedPane b)` Constructor.

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JTabbedPane.addChangeListener(ChangeListener)` through queue
`void` | `addTab(java.lang.String string, java.awt.Component component)` Maps `JTabbedPane.addTab(String, Component)` through queue
`void` | `addTab(java.lang.String string, javax.swing.Icon icon, java.awt.Component component)` Maps `JTabbedPane.addTab(String, Icon, Component)` through queue
`void` | `addTab(java.lang.String string, javax.swing.Icon icon, java.awt.Component component, java.lang.String string1)` Maps `JTabbedPane.addTab(String, Icon, Component, String)` through queue
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`static javax.swing.JTabbedPane` | `findJTabbedPane(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JTabbedPane in container.
`static javax.swing.JTabbedPane` | `findJTabbedPane(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JTabbedPane in container.
`static javax.swing.JTabbedPane` | `findJTabbedPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex)` Searches JTabbedPane by tab title.
`static javax.swing.JTabbedPane` | `findJTabbedPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex, int index)` Searches JTabbedPane by tab title.
`static javax.swing.JTabbedPane` | `findJTabbedPaneUnder(java.awt.Component comp)` Searches JTabbedPane object which component lies on.
`static javax.swing.JTabbedPane` | `findJTabbedPaneUnder(java.awt.Component comp, ComponentChooser chooser)` Searches JTabbedPane object which component lies on.
`int` | `findPage(JTabbedPaneOperator.TabPageChooser chooser)` Deprecated. Use findPage(String) or findPage(String, StringComparator)
`int` | `findPage(java.lang.String title)` Searches tab index by tab title.
`int` | `findPage(java.lang.String title, boolean ce, boolean ccs)` Deprecated. Use findPage(String) or findPage(String, StringComparator)
`int` | `findPage(java.lang.String title, Operator.StringComparator comparator)` Deprecated. Use findPage(String) or findPage(String, StringComparator)
`java.awt.Color` | `getBackgroundAt(int i)` Maps `JTabbedPane.getBackgroundAt(int)` through queue
`java.awt.Rectangle` | `getBoundsAt(int i)` Maps `JTabbedPane.getBoundsAt(int)` through queue
`java.awt.Component` | `getComponentAt(int i)` Maps `JTabbedPane.getComponentAt(int)` through queue
`javax.swing.Icon` | `getDisabledIconAt(int i)` Maps `JTabbedPane.getDisabledIconAt(int)` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`java.awt.Color` | `getForegroundAt(int i)` Maps `JTabbedPane.getForegroundAt(int)` through queue
`javax.swing.Icon` | `getIconAt(int i)` Maps `JTabbedPane.getIconAt(int)` through queue
`javax.swing.SingleSelectionModel` | `getModel()` Maps `JTabbedPane.getModel()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.awt.Component` | `getSelectedComponent()` Maps `JTabbedPane.getSelectedComponent()` through queue
`int` | `getSelectedIndex()` Maps `JTabbedPane.getSelectedIndex()` through queue
`int` | `getTabCount()` Maps `JTabbedPane.getTabCount()` through queue
`int` | `getTabPlacement()` Maps `JTabbedPane.getTabPlacement()` through queue
`int` | `getTabRunCount()` Maps `JTabbedPane.getTabRunCount()` through queue
`java.lang.String` | `getTitleAt(int i)` Maps `JTabbedPane.getTitleAt(int)` through queue
`javax.swing.plaf.TabbedPaneUI` | `getUI()` Maps `JTabbedPane.getUI()` through queue
`int` | `indexOfComponent(java.awt.Component component)` Maps `JTabbedPane.indexOfComponent(Component)` through queue
`int` | `indexOfTab(javax.swing.Icon icon)` Maps `JTabbedPane.indexOfTab(Icon)` through queue
`int` | `indexOfTab(java.lang.String string)` Maps `JTabbedPane.indexOfTab(String)` through queue
`void` | `insertTab(java.lang.String string, javax.swing.Icon icon, java.awt.Component component, java.lang.String string1, int i)` Maps `JTabbedPane.insertTab(String, Icon, Component, String, int)` through queue
`boolean` | `isEnabledAt(int i)` Maps `JTabbedPane.isEnabledAt(int)` through queue
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JTabbedPane.removeChangeListener(ChangeListener)` through queue
`void` | `removeTabAt(int i)` Maps `JTabbedPane.removeTabAt(int)` through queue
`java.awt.Component` | `selectPage(int index)` Selects tab.
`java.awt.Component` | `selectPage(JTabbedPaneOperator.TabPageChooser chooser)` Selects tab.
`java.awt.Component` | `selectPage(java.lang.String title)` Selects tab by tab title.
`java.awt.Component` | `selectPage(java.lang.String title, boolean ce, boolean ccs)` Deprecated. Use selectPage(String) or selectPage(String, StringComparator)
`java.awt.Component` | `selectPage(java.lang.String title, Operator.StringComparator comparator)` Selects tab.
`void` | `setBackgroundAt(int i, java.awt.Color color)` Maps `JTabbedPane.setBackgroundAt(int, Color)` through queue
`void` | `setComponentAt(int i, java.awt.Component component)` Maps `JTabbedPane.setComponentAt(int, Component)` through queue
`void` | `setDisabledIconAt(int i, javax.swing.Icon icon)` Maps `JTabbedPane.setDisabledIconAt(int, Icon)` through queue
`void` | `setEnabledAt(int i, boolean b)` Maps `JTabbedPane.setEnabledAt(int, boolean)` through queue
`void` | `setForegroundAt(int i, java.awt.Color color)` Maps `JTabbedPane.setForegroundAt(int, Color)` through queue
`void` | `setIconAt(int i, javax.swing.Icon icon)` Maps `JTabbedPane.setIconAt(int, Icon)` through queue
`void` | `setModel(javax.swing.SingleSelectionModel singleSelectionModel)` Maps `JTabbedPane.setModel(SingleSelectionModel)` through queue
`void` | `setOutput(TestOut output)` Defines print output streams or writers.
`void` | `setSelectedComponent(java.awt.Component component)` Maps `JTabbedPane.setSelectedComponent(Component)` through queue
`void` | `setSelectedIndex(int i)` Maps `JTabbedPane.setSelectedIndex(int)` through queue
`void` | `setTabPlacement(int i)` Maps `JTabbedPane.setTabPlacement(int)` through queue
`void` | `setTitleAt(int i, java.lang.String string)` Maps `JTabbedPane.setTitleAt(int, String)` through queue
`void` | `setUI(javax.swing.plaf.TabbedPaneUI tabbedPaneUI)` Maps `JTabbedPane.setUI(TabbedPaneUI)` through queue
`static javax.swing.JTabbedPane` | `waitJTabbedPane(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JTabbedPane in container.
`static javax.swing.JTabbedPane` | `waitJTabbedPane(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JTabbedPane in container.
`static javax.swing.JTabbedPane` | `waitJTabbedPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex)` Waits JTabbedPane by tab title.
`static javax.swing.JTabbedPane` | `waitJTabbedPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int itemIndex, int index)` Waits JTabbedPane by tab title.
`int` | `waitPage(JTabbedPaneOperator.TabPageChooser chooser)` Wait for a page to exist.
`int` | `waitPage(java.lang.String title)` Wait for a page to exist.
`int` | `waitPage(java.lang.String title, Operator.StringComparator comparator)` Wait for a page to exist.
`void` | `waitSelected(int pageIndex)` Waits for a page to be selected.
`void` | `waitSelected(java.lang.String pageTitle)` Waits for a page to be selected.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getTimeouts, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTimeouts, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTED_PAGE_DPROP

    public static final java.lang.String SELECTED_PAGE_DPROP

  Identifier for a "selected page" property.
  See Also:
    `getDump()`

### PAGE_PREFIX_DPROP

    public static final java.lang.String PAGE_PREFIX_DPROP

  Identifier for a "page" properties.
  See Also:
    `getDump()`

Constructor Detail

### JTabbedPaneOperator

    public JTabbedPaneOperator(javax.swing.JTabbedPane b)

  Constructor.
  Parameters:
    `b` - a component

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont,
                               ComponentChooser chooser,
                               int index)

  Constructs a JTabbedPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont,
                               ComponentChooser chooser)

  Constructs a JTabbedPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont,
                               java.lang.String text,
                               int tabIndex,
                               int index)

  Constructor. Waits component by tab title first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Tab title.
    `tabIndex` - a page index to check. if equal to -1, selected page is checked.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont,
                               java.lang.String text,
                               int index)

  Constructor. Waits component by activetab title first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Title of tab which is currently selected.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont,
                               java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Title of tab which is currently selected.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont,
                               int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JTabbedPaneOperator

    public JTabbedPaneOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJTabbedPane

    public static javax.swing.JTabbedPane findJTabbedPane(java.awt.Container cont,
                                                          ComponentChooser chooser,
                                                          int index)

  Searches JTabbedPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JTabbedPane instance or null if component was not found.

### findJTabbedPane

    public static javax.swing.JTabbedPane findJTabbedPane(java.awt.Container cont,
                                                          ComponentChooser chooser)

  Searches 0'th JTabbedPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JTabbedPane instance or null if component was not found.

### findJTabbedPane

    public static javax.swing.JTabbedPane findJTabbedPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs,
                                                          int itemIndex,
                                                          int index)

  Searches JTabbedPane by tab title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Tab index. if -1 selected one is checked.
    `index` - Ordinal component index.
  Returns:
    JTabbedPane instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJTabbedPane

    public static javax.swing.JTabbedPane findJTabbedPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs,
                                                          int itemIndex)

  Searches JTabbedPane by tab title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Tab index. if -1 selected one is checked.
  Returns:
    JTabbedPane instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJTabbedPaneUnder

    public static javax.swing.JTabbedPane findJTabbedPaneUnder(java.awt.Component comp,
                                                               ComponentChooser chooser)

  Searches JTabbedPane object which component lies on.
  Parameters:
    `comp` - Component to find JTabbedPane under.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JTabbedPane instance or null if component was not found.

### findJTabbedPaneUnder

    public static javax.swing.JTabbedPane findJTabbedPaneUnder(java.awt.Component comp)

  Searches JTabbedPane object which component lies on.
  Parameters:
    `comp` - Component to find JTabbedPane under.
  Returns:
    JTabbedPane instance or null if component was not found.

### waitJTabbedPane

    public static javax.swing.JTabbedPane waitJTabbedPane(java.awt.Container cont,
                                                          ComponentChooser chooser,
                                                          int index)

  Waits JTabbedPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JTabbedPane instance.
  Throws:
    `TimeoutExpiredException` -

### waitJTabbedPane

    public static javax.swing.JTabbedPane waitJTabbedPane(java.awt.Container cont,
                                                          ComponentChooser chooser)

  Waits 0'th JTabbedPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JTabbedPane instance.
  Throws:
    `TimeoutExpiredException` -

### waitJTabbedPane

    public static javax.swing.JTabbedPane waitJTabbedPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs,
                                                          int itemIndex,
                                                          int index)

  Waits JTabbedPane by tab title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Tab index. if -1 selected one is checked.
    `index` - Ordinal component index.
  Returns:
    JTabbedPane instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTabbedPane

    public static javax.swing.JTabbedPane waitJTabbedPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs,
                                                          int itemIndex)

  Waits JTabbedPane by tab title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `itemIndex` - Tab index. if -1 selected one is checked.
  Returns:
    JTabbedPane instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setOutput

    public void setOutput(TestOut output)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### findPage

    public int findPage(JTabbedPaneOperator.TabPageChooser chooser)

  Deprecated. Use findPage(String) or findPage(String, StringComparator)

  Searches tab index by tab title.
  Parameters:
    `chooser` - page searching criteria
  Returns:
    a page index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findPage

    public int findPage(java.lang.String title,
                        Operator.StringComparator comparator)

  Deprecated. Use findPage(String) or findPage(String, StringComparator)

  Searches tab index by tab title.
  Parameters:
    `title` - a page title.
    `comparator` - a string comparision algorithm
  Returns:
    a page index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findPage

    public int findPage(java.lang.String title,
                        boolean ce,
                        boolean ccs)

  Deprecated. Use findPage(String) or findPage(String, StringComparator)

  Searches tab index by tab title. isCaptionEqual method is used to compare page title with match.
  Parameters:
    `title` - a page title.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    a page index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findPage

    public int findPage(java.lang.String title)

  Searches tab index by tab title. isCaptionEqual method is used to compare page title with match. Uses StringComparator assigned to this object.
  Parameters:
    `title` - a page title.
  Returns:
    a page index.

### selectPage

    public java.awt.Component selectPage(int index)

  Selects tab.
  Parameters:
    `index` - a page ordinal index.
  Returns:
    a root corresponding to the page.

### selectPage

    public java.awt.Component selectPage(JTabbedPaneOperator.TabPageChooser chooser)

  Selects tab.
  Parameters:
    `chooser` - page searching criteria
  Returns:
    a root corresponding to the page.

### selectPage

    public java.awt.Component selectPage(java.lang.String title,
                                         Operator.StringComparator comparator)

  Selects tab.
  Parameters:
    `title` - a page title.
    `comparator` - a string comparision algorithm
  Returns:
    a root corresponding to the page.

### selectPage

    public java.awt.Component selectPage(java.lang.String title,
                                         boolean ce,
                                         boolean ccs)

  Deprecated. Use selectPage(String) or selectPage(String, StringComparator)

  Selects tab by tab title.
  Parameters:
    `title` - a page title.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    a root corresponding to the page.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### selectPage

    public java.awt.Component selectPage(java.lang.String title)

  Selects tab by tab title. Uses StringComparator assigned to this object.
  Parameters:
    `title` - a page title.
  Returns:
    a root corresponding to the page.

### waitPage

    public int waitPage(JTabbedPaneOperator.TabPageChooser chooser)

  Wait for a page to exist.
  Parameters:
    `chooser` - page searching criteria
  Returns:
    a page index.

### waitPage

    public int waitPage(java.lang.String title,
                        Operator.StringComparator comparator)

  Wait for a page to exist.
  Parameters:
    `title` - a page title.
    `comparator` - a string comparision algorithm
  Returns:
    a page index.

### waitPage

    public int waitPage(java.lang.String title)

  Wait for a page to exist.
  Parameters:
    `title` - a page title.
  Returns:
    a page index.

### waitSelected

    public void waitSelected(int pageIndex)

  Waits for a page to be selected.
  Parameters:
    `pageIndex` - an index of a page to be selected.

### waitSelected

    public void waitSelected(java.lang.String pageTitle)

  Waits for a page to be selected.
  Parameters:
    `pageTitle` - a title of a page to be selected.

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JTabbedPane.addChangeListener(ChangeListener)` through queue

### addTab

    public void addTab(java.lang.String string,
                       java.awt.Component component)

  Maps `JTabbedPane.addTab(String, Component)` through queue

### addTab

    public void addTab(java.lang.String string,
                       javax.swing.Icon icon,
                       java.awt.Component component)

  Maps `JTabbedPane.addTab(String, Icon, Component)` through queue

### addTab

    public void addTab(java.lang.String string,
                       javax.swing.Icon icon,
                       java.awt.Component component,
                       java.lang.String string1)

  Maps `JTabbedPane.addTab(String, Icon, Component, String)` through queue

### getBackgroundAt

    public java.awt.Color getBackgroundAt(int i)

  Maps `JTabbedPane.getBackgroundAt(int)` through queue

### getBoundsAt

    public java.awt.Rectangle getBoundsAt(int i)

  Maps `JTabbedPane.getBoundsAt(int)` through queue

### getComponentAt

    public java.awt.Component getComponentAt(int i)

  Maps `JTabbedPane.getComponentAt(int)` through queue

### getDisabledIconAt

    public javax.swing.Icon getDisabledIconAt(int i)

  Maps `JTabbedPane.getDisabledIconAt(int)` through queue

### getForegroundAt

    public java.awt.Color getForegroundAt(int i)

  Maps `JTabbedPane.getForegroundAt(int)` through queue

### getIconAt

    public javax.swing.Icon getIconAt(int i)

  Maps `JTabbedPane.getIconAt(int)` through queue

### getModel

    public javax.swing.SingleSelectionModel getModel()

  Maps `JTabbedPane.getModel()` through queue

### getSelectedComponent

    public java.awt.Component getSelectedComponent()

  Maps `JTabbedPane.getSelectedComponent()` through queue

### getSelectedIndex

    public int getSelectedIndex()

  Maps `JTabbedPane.getSelectedIndex()` through queue

### getTabCount

    public int getTabCount()

  Maps `JTabbedPane.getTabCount()` through queue

### getTabPlacement

    public int getTabPlacement()

  Maps `JTabbedPane.getTabPlacement()` through queue

### getTabRunCount

    public int getTabRunCount()

  Maps `JTabbedPane.getTabRunCount()` through queue

### getTitleAt

    public java.lang.String getTitleAt(int i)

  Maps `JTabbedPane.getTitleAt(int)` through queue

### getUI

    public javax.swing.plaf.TabbedPaneUI getUI()

  Maps `JTabbedPane.getUI()` through queue

### indexOfComponent

    public int indexOfComponent(java.awt.Component component)

  Maps `JTabbedPane.indexOfComponent(Component)` through queue

### indexOfTab

    public int indexOfTab(java.lang.String string)

  Maps `JTabbedPane.indexOfTab(String)` through queue

### indexOfTab

    public int indexOfTab(javax.swing.Icon icon)

  Maps `JTabbedPane.indexOfTab(Icon)` through queue

### insertTab

    public void insertTab(java.lang.String string,
                          javax.swing.Icon icon,
                          java.awt.Component component,
                          java.lang.String string1,
                          int i)

  Maps `JTabbedPane.insertTab(String, Icon, Component, String, int)` through queue

### isEnabledAt

    public boolean isEnabledAt(int i)

  Maps `JTabbedPane.isEnabledAt(int)` through queue

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JTabbedPane.removeChangeListener(ChangeListener)` through queue

### removeTabAt

    public void removeTabAt(int i)

  Maps `JTabbedPane.removeTabAt(int)` through queue

### setBackgroundAt

    public void setBackgroundAt(int i,
                                java.awt.Color color)

  Maps `JTabbedPane.setBackgroundAt(int, Color)` through queue

### setComponentAt

    public void setComponentAt(int i,
                               java.awt.Component component)

  Maps `JTabbedPane.setComponentAt(int, Component)` through queue

### setDisabledIconAt

    public void setDisabledIconAt(int i,
                                  javax.swing.Icon icon)

  Maps `JTabbedPane.setDisabledIconAt(int, Icon)` through queue

### setEnabledAt

    public void setEnabledAt(int i,
                             boolean b)

  Maps `JTabbedPane.setEnabledAt(int, boolean)` through queue

### setForegroundAt

    public void setForegroundAt(int i,
                                java.awt.Color color)

  Maps `JTabbedPane.setForegroundAt(int, Color)` through queue

### setIconAt

    public void setIconAt(int i,
                          javax.swing.Icon icon)

  Maps `JTabbedPane.setIconAt(int, Icon)` through queue

### setModel

    public void setModel(javax.swing.SingleSelectionModel singleSelectionModel)

  Maps `JTabbedPane.setModel(SingleSelectionModel)` through queue

### setSelectedComponent

    public void setSelectedComponent(java.awt.Component component)

  Maps `JTabbedPane.setSelectedComponent(Component)` through queue

### setSelectedIndex

    public void setSelectedIndex(int i)

  Maps `JTabbedPane.setSelectedIndex(int)` through queue

### setTabPlacement

    public void setTabPlacement(int i)

  Maps `JTabbedPane.setTabPlacement(int)` through queue

### setTitleAt

    public void setTitleAt(int i,
                           java.lang.String string)

  Maps `JTabbedPane.setTitleAt(int, String)` through queue

### setUI

    public void setUI(javax.swing.plaf.TabbedPaneUI tabbedPaneUI)

  Maps `JTabbedPane.setUI(TabbedPaneUI)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD